# Generated by Django 5.1rc1 on 2024-07-30 21:49

import uuid

import django.db.models.deletion
from django.db import migrations, models
from django.db.migrations.operations.base import Operation


class Migration(migrations.Migration):
    initial = True

    dependencies: list[tuple[str, str]] = []

    operations: list[Operation] = [
        migrations.CreateModel(
            name="Game",
            fields=[
                ("id", models.AutoField(primary_key=True, serialize=False)),
                ("slug", models.TextField()),
                ("display_name", models.TextField()),
                ("typename", models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name="Image",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("image1_x_url", models.URLField()),
                ("typename", models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name="UnlockRequirements",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("subs_goal", models.IntegerField()),
                ("minute_watched_goal", models.IntegerField()),
                ("typename", models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name="Reward",
            fields=[
                ("id", models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ("name", models.TextField()),
                ("earnable_until", models.DateTimeField()),
                ("redemption_instructions", models.TextField()),
                ("redemption_url", models.URLField()),
                ("typename", models.TextField()),
                (
                    "banner_image",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="banner_rewards",
                        to="twitch_app.image",
                    ),
                ),
                (
                    "thumbnail_image",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="thumbnail_rewards",
                        to="twitch_app.image",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="RewardCampaign",
            fields=[
                ("id", models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ("name", models.TextField()),
                ("brand", models.TextField()),
                ("starts_at", models.DateTimeField()),
                ("ends_at", models.DateTimeField()),
                ("status", models.TextField()),
                ("summary", models.TextField()),
                ("instructions", models.TextField()),
                ("external_url", models.URLField()),
                ("reward_value_url_param", models.TextField()),
                ("about_url", models.URLField()),
                ("is_sitewide", models.BooleanField()),
                ("typename", models.TextField()),
                ("game", models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to="twitch_app.game")),
                ("image", models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to="twitch_app.image")),
                ("rewards", models.ManyToManyField(to="twitch_app.reward")),
            ],
        ),
    ]
