# Generated by Django 5.1rc1 on 2024-08-01 01:00

import django.db.models.deletion
from django.db import migrations, models
from django.db.migrations.operations.base import Operation


class Migration(migrations.Migration):
    dependencies: list[tuple[str, str]] = [
        ("twitch_app", "0004_alter_reward_id_alter_rewardcampaign_id"),
    ]

    operations: list[Operation] = [
        migrations.CreateModel(
            name="Channel",
            fields=[
                ("id", models.PositiveBigIntegerField(primary_key=True, serialize=False)),
                ("display_name", models.TextField(blank=True, null=True)),
                ("name", models.TextField(blank=True, null=True)),
                ("typename", models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="Owner",
            fields=[
                ("id", models.PositiveBigIntegerField(primary_key=True, serialize=False)),
                ("slug", models.TextField(blank=True, null=True)),
                ("display_name", models.TextField(blank=True, null=True)),
                ("typename", models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.AlterField(
            model_name="unlockrequirements",
            name="minute_watched_goal",
            field=models.PositiveBigIntegerField(null=True),
        ),
        migrations.AlterField(
            model_name="unlockrequirements",
            name="subs_goal",
            field=models.PositiveBigIntegerField(null=True),
        ),
        migrations.CreateModel(
            name="Benefit",
            fields=[
                ("id", models.TextField(primary_key=True, serialize=False)),
                ("created_at", models.DateTimeField(null=True)),
                ("entitlement_limit", models.PositiveBigIntegerField(null=True)),
                ("image_asset_url", models.URLField(blank=True, null=True)),
                ("is_ios_available", models.BooleanField(null=True)),
                ("name", models.TextField(blank=True, null=True)),
                ("typename", models.TextField(blank=True, null=True)),
                (
                    "game",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="benefits",
                        to="twitch_app.game",
                    ),
                ),
                (
                    "owner_organization",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="benefits",
                        to="twitch_app.owner",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="BenefitEdge",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("entitlement_limit", models.PositiveBigIntegerField(null=True)),
                ("typename", models.TextField(blank=True, null=True)),
                (
                    "benefit",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="benefit_edges",
                        to="twitch_app.benefit",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Allow",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("is_enabled", models.BooleanField(default=True)),
                ("typename", models.TextField(blank=True, null=True)),
                ("channels", models.ManyToManyField(related_name="allow", to="twitch_app.channel")),
            ],
        ),
        migrations.CreateModel(
            name="TimeBasedDrop",
            fields=[
                ("id", models.TextField(primary_key=True, serialize=False)),
                ("created_at", models.DateTimeField(null=True)),
                ("entitlement_limit", models.PositiveBigIntegerField(null=True)),
                ("image_asset_url", models.URLField(blank=True, null=True)),
                ("is_ios_available", models.BooleanField(null=True)),
                ("name", models.TextField(blank=True, null=True)),
                ("typename", models.TextField(blank=True, null=True)),
                (
                    "game",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="time_based_drops",
                        to="twitch_app.game",
                    ),
                ),
                (
                    "owner_organization",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="time_based_drops",
                        to="twitch_app.owner",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="DropCampaign",
            fields=[
                ("id", models.TextField(primary_key=True, serialize=False)),
                ("account_link_url", models.URLField(blank=True, null=True)),
                ("description", models.TextField(blank=True, null=True)),
                ("details_url", models.URLField(blank=True, null=True)),
                ("ends_at", models.DateTimeField(null=True)),
                ("image_url", models.URLField(blank=True, null=True)),
                ("name", models.TextField(blank=True, null=True)),
                ("starts_at", models.DateTimeField(null=True)),
                ("status", models.TextField(blank=True, null=True)),
                ("typename", models.TextField(blank=True, null=True)),
                (
                    "allow",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="drop_campaigns",
                        to="twitch_app.allow",
                    ),
                ),
                (
                    "game",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="drop_campaigns",
                        to="twitch_app.game",
                    ),
                ),
                (
                    "owner",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="drop_campaigns",
                        to="twitch_app.owner",
                    ),
                ),
                (
                    "time_based_drops",
                    models.ManyToManyField(related_name="drop_campaigns", to="twitch_app.timebaseddrop"),
                ),
            ],
        ),
    ]
